#!/usr/bin/env python
# encoding: utf-8

import os
from setuptools import setup, find_packages

here = os.path.abspath(os.path.dirname(__file__))
README = open(os.path.join(here, 'README.txt')).read()
CHANGES = open(os.path.join(here, 'CHANGES.txt')).read()

setup(name='waskiq',
      version='1.18.0',
      description=(u'WASKIQ ist die Implementation einer elektronischen \
                   Fallakte zur Teilnehmerdokumentation in dem \
                   ESF Programm "Jugend Stärken im Quartier"'),
      long_description=README + '\n\n' + CHANGES,
      classifiers=["Programming Language :: Python",
                   "Framework :: Pyramid",
                   "Topic :: Internet :: WWW/HTTP",
                   "Topic :: Internet :: WWW/HTTP :: WSGI :: Application"],
      author='Intevation GmbH',
      author_email='info@intevation.de',
      url='https://www.intevation.de',
      keywords='web wsgi bfg pylons pyramid',
      packages=find_packages(),
      include_package_data=True,
      zip_safe=False,
      install_requires=['efa>=1.4.0', 'ringo_bmasreport', 'ringo_printtemplate', 'ringo_contact', 'psycopg2'],
      entry_points="""\
      [paste.app_factory]
      main = waskiq:main
      [console_scripts]
      waskiq-admin = waskiq.scripts.admin:main
      [babel.extractors]
      tableconfig = ringo.lib.i18n:extract_i18n_tableconfig
      formconfig = formbar.i18n:extract_i18n_formconfig
      """,
      message_extractors = {'waskiq': [
          ('**.py', 'python', None),
          ('templates/**.html', 'mako', None),
          ('templates/**.mako', 'mako', None),
          ('views/**.xml', 'formconfig', None),
          ('views/**.json', 'tableconfig', None),
          ('static/**', 'ignore', None)]},
      )
