"""Update to new ringo version

Revision ID: 15049d7324e3
Revises: 2e5990e4fce5
Create Date: 2017-06-29 09:39:29.934187

"""

# revision identifiers, used by Alembic.
revision = '15049d7324e3'
down_revision = '2e5990e4fce5'

from alembic import op
import sqlalchemy as sa


INSERTS = """
DELETE FROM nm_action_roles where aid = 178 and rid = 3;
DELETE FROM nm_action_roles where aid = 155 and rid = 3;
DELETE FROM nm_action_roles where aid = 162 and rid = 3;
INSERT INTO nm_action_roles (aid, rid) values (178, 3);
INSERT INTO nm_action_roles (aid, rid) values (155, 3);
INSERT INTO nm_action_roles (aid, rid) values (162, 3);
"""
DELETES = """"""


def iter_statements(stmts):
    for st in [x for x in stmts.split('\n') if x]:
        op.execute(st)


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    iter_statements(INSERTS)
    op.add_column('actions', sa.Column('admin', sa.Boolean(), server_default='0', nullable=False))
    op.create_unique_constraint(None, 'nm_action_roles', ['aid', 'rid'])
    op.create_unique_constraint(None, 'nm_user_roles', ['uid', 'rid'])
    op.create_unique_constraint(None, 'nm_user_usergroups', ['uid', 'gid'])
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_constraint(None, 'nm_user_usergroups', type_='unique')
    op.drop_constraint(None, 'nm_user_roles', type_='unique')
    op.drop_constraint(None, 'nm_action_roles', type_='unique')
    op.drop_column('actions', 'admin')
    # ### end Alembic commands ###
    iter_statements(DELETES)
