"""model for angebot updated

Revision ID: 18acc16644f1
Revises: 5076141532ec
Create Date: 2015-09-14 12:29:50.330878

"""

# revision identifiers, used by Alembic.
revision = '18acc16644f1'
down_revision = '5076141532ec'

from alembic import op
import sqlalchemy as sa


INSERTS = """"""
DELETES = """"""


def iter_statements(stmts):
    for st in [x for x in stmts.split('\n') if x]:
        op.execute(st)


def upgrade():
    ### commands auto generated by Alembic - please adjust! ###
    op.add_column('angebots', sa.Column('angebotsform', sa.Integer(), nullable=True))
    op.add_column('angebots', sa.Column('beendigung', sa.Integer(), nullable=True))
    op.add_column('angebots', sa.Column('benennung', sa.String(), nullable=False))
    op.add_column('angebots', sa.Column('bereich', sa.Integer(), nullable=True))
    op.add_column('angebots', sa.Column('bewertungcm1', sa.Integer(), nullable=True))
    op.add_column('angebots', sa.Column('bewertungcm2', sa.Integer(), nullable=True))
    op.add_column('angebots', sa.Column('bewertungcm3', sa.Integer(), nullable=True))
    op.add_column('angebots', sa.Column('bewertungj1', sa.Integer(), nullable=True))
    op.add_column('angebots', sa.Column('bewertungj2', sa.Integer(), nullable=True))
    op.add_column('angebots', sa.Column('bewertungj3', sa.Integer(), nullable=True))
    op.add_column('angebots', sa.Column('bis', sa.Date(), nullable=True))
    op.add_column('angebots', sa.Column('erreicht1', sa.String(), nullable=False))
    op.add_column('angebots', sa.Column('indikator1', sa.String(), nullable=False))
    op.add_column('angebots', sa.Column('indikator2', sa.String(), nullable=False))
    op.add_column('angebots', sa.Column('indikator3', sa.String(), nullable=False))
    op.add_column('angebots', sa.Column('institution', sa.String(), nullable=False))
    op.add_column('angebots', sa.Column('nachweis', sa.Integer(), nullable=True))
    op.add_column('angebots', sa.Column('sonstiges1', sa.String(), nullable=False))
    op.add_column('angebots', sa.Column('sonstiges2', sa.String(), nullable=False))
    op.add_column('angebots', sa.Column('sonstiges3', sa.String(), nullable=False))
    op.add_column('angebots', sa.Column('von', sa.Date(), nullable=True))
    op.create_foreign_key('fk_angebots_gid_usergroups', 'angebots', 'usergroups', ['gid'], ['id'])
    op.create_foreign_key('fk_angebots_uid_users', 'angebots', 'users', ['uid'], ['id'])
    ### end Alembic commands ###
    iter_statements(INSERTS)


def downgrade():
    ### commands auto generated by Alembic - please adjust! ###
    op.drop_column('angebots', 'von')
    op.drop_column('angebots', 'sonstiges3')
    op.drop_column('angebots', 'sonstiges2')
    op.drop_column('angebots', 'sonstiges1')
    op.drop_column('angebots', 'nachweis')
    op.drop_column('angebots', 'institution')
    op.drop_column('angebots', 'indikator3')
    op.drop_column('angebots', 'indikator2')
    op.drop_column('angebots', 'indikator1')
    op.drop_column('angebots', 'erreicht1')
    op.drop_column('angebots', 'bis')
    op.drop_column('angebots', 'bewertungj3')
    op.drop_column('angebots', 'bewertungj2')
    op.drop_column('angebots', 'bewertungj1')
    op.drop_column('angebots', 'bewertungcm3')
    op.drop_column('angebots', 'bewertungcm2')
    op.drop_column('angebots', 'bewertungcm1')
    op.drop_column('angebots', 'bereich')
    op.drop_column('angebots', 'benennung')
    op.drop_column('angebots', 'beendigung')
    op.drop_column('angebots', 'angebotsform')
    ### end Alembic commands ###
    iter_statements(DELETES)
