"""Modeled joined angebot with baustein_cms

Revision ID: 198628770417
Revises: 425586245ce8
Create Date: 2015-09-16 11:30:33.037766

"""

# revision identifiers, used by Alembic.
revision = '198628770417'
down_revision = '425586245ce8'

from alembic import op
import sqlalchemy as sa


INSERTS = """"""
DELETES = """"""


def iter_statements(stmts):
    for st in [x for x in stmts.split('\n') if x]:
        op.execute(st)


def upgrade():
    ### commands auto generated by Alembic - please adjust! ###
    op.add_column('angebots', sa.Column('baustein_cms_id', sa.Integer(), nullable=True))
    op.drop_constraint(u'angebots_participation_id_fkey', 'angebots', type_='foreignkey')
    op.create_foreign_key(None, 'angebots', 'baustein_cms', ['baustein_cms_id'], ['id'])
    op.drop_column('angebots', 'participation_id')
    ### end Alembic commands ###
    iter_statements(INSERTS)


def downgrade():
    ### commands auto generated by Alembic - please adjust! ###
    op.add_column('angebots', sa.Column('participation_id', sa.INTEGER(), autoincrement=False, nullable=True))
    op.drop_constraint(None, 'angebots', type_='foreignkey')
    op.create_foreign_key(u'angebots_participation_id_fkey', 'angebots', 'participations', ['participation_id'], ['id'])
    op.drop_column('angebots', 'baustein_cms_id')
    ### end Alembic commands ###
    iter_statements(DELETES)
