"""Modifies target-oi -> oi_target_number, target_ri -> ri_target_percent

Revision ID: 1ace4cc77374
Revises: c8e7847153ad
Create Date: 2018-03-08 12:38:24.085880

"""

# revision identifiers, used by Alembic.
revision = '1ace4cc77374'
down_revision = 'c8e7847153ad'

from alembic import op
import sqlalchemy as sa


INSERTS = """"""
DELETES = """"""


def iter_statements(stmts):
    for st in [x for x in stmts.split('\n') if x]:
        op.execute(st)


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.add_column('beneficiarys', sa.Column('oi_target_number', sa.Integer(), nullable=True))
    op.add_column('beneficiarys', sa.Column('ri_target_percent', sa.Integer(), nullable=True))
    op.drop_column('beneficiarys', 'target_ri')
    op.drop_column('beneficiarys', 'target_oi')
    # ### end Alembic commands ###
    iter_statements(INSERTS)


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.add_column('beneficiarys', sa.Column('target_oi', sa.INTEGER(), autoincrement=False, nullable=True))
    op.add_column('beneficiarys', sa.Column('target_ri', sa.INTEGER(), autoincrement=False, nullable=True))
    op.drop_column('beneficiarys', 'ri_target_percent')
    op.drop_column('beneficiarys', 'oi_target_number')
    # ### end Alembic commands ###
    iter_statements(DELETES)
