# -*- coding: utf-8 -*-
"""Migration to version 1.3

Revision ID: 1bc1a4307e66
Revises: 309bf6e90bda
Create Date: 2015-09-16 14:22:28.263986

"""

# revision identifiers, used by Alembic.
revision = '1bc1a4307e66'
down_revision = '309bf6e90bda'

from alembic import op
import sqlalchemy as sa


INSERTS = u"""
INSERT INTO modules (uuid, id, name, clazzpath, label, label_plural, description, str_repr, display, default_gid) VALUES ('7a24cc9b363247b99e3e096ce1fc5ccf', 2007, 'printtemplates', 'ringo_printtemplate.model.Printtemplate', 'Druckvorlage', 'Druckvorlagen', '', '%s|name', 'admin-menu', NULL);
INSERT INTO actions (uuid, id, mid, name, url, icon, description, bundle, display, permission) VALUES ('0042136f043840dd8404e8e569d84334', 207, 2007, 'Read', 'read/{id}', 'icon-eye-open', '', false, 'primary', '');
INSERT INTO actions (uuid, id, mid, name, url, icon, description, bundle, display, permission) VALUES ('0f703e0eec0e4fafae7907261ab2014a', 208, 2007, 'Create', 'create', ' icon-plus', '', false, 'primary', '');
INSERT INTO actions (uuid, id, mid, name, url, icon, description, bundle, display, permission) VALUES ('3ade165dd11842dbb7bf38ed9ae1bde8', 209, 2007, 'List', 'list', 'icon-list-alt', '', false, 'primary', '');
INSERT INTO actions (uuid, id, mid, name, url, icon, description, bundle, display, permission) VALUES ('00b1f0134ded45d18b218ab1c4b540ee', 210, 2007, 'Update', 'update/{id}', 'icon-edit', '', false, 'primary', '');
INSERT INTO actions (uuid, id, mid, name, url, icon, description, bundle, display, permission) VALUES ('a05a3110d57b4c5aa5e1a4fdc4d0356b', 211, 2007, 'Delete', 'delete/{id}', 'icon-trash', '', true, 'primary', '');
INSERT INTO actions VALUES ('0aa4f1ef81cf4c4a6c0fe441cc5b806a', 212, 2007, 'Download', 'download/{id}', 'icon-download', '', false, 'primary', '');
INSERT INTO actions (uuid, id, mid, name, url, icon, description, bundle, display, permission) VALUES ('ede4efe5074c4e37a76c110f9c291a12', 213, 1000, 'Print', 'print/{id}', 'glyphicon glyphicon-print', '', false, 'secondary', 'read');

INSERT INTO nm_action_roles (aid, rid) VALUES (213, 3);
INSERT INTO printtemplates (id, mid, name, mime, data, uid, gid, uuid) VALUES (1, 1000, 'Einwilligunserklärung', 'application/vnd.oasis.opendocument.text', '@waskiq:waskiq/static/einwilligung.odt', NULL, 1, '')
"""
DELETES = """
DELETE FROM modules where id = 2007;
DELETE FROM actions where mid = 2007;
"""


def iter_statements(stmts):
    for st in [x for x in stmts.split('\n') if x]:
        op.execute(st)


def upgrade():
    ### commands auto generated by Alembic - please adjust! ###
    op.create_table('printtemplates',
    sa.Column('uuid', sa.CHAR(length=32), nullable=False),
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('mid', sa.Integer(), nullable=True),
    sa.Column('name', sa.Text(), nullable=True),
    sa.Column('data', sa.LargeBinary(), nullable=True),
    sa.Column('description', sa.Text(), nullable=True),
    sa.Column('size', sa.Integer(), nullable=True),
    sa.Column('mime', sa.Text(), nullable=True),
    sa.Column('uid', sa.Integer(), nullable=True),
    sa.Column('gid', sa.Integer(), nullable=True),
    sa.ForeignKeyConstraint(['gid'], ['usergroups.id'], name='fk_printtemplates_gid_usergroups', use_alter=True),
    sa.ForeignKeyConstraint(['mid'], ['modules.id'], ),
    sa.ForeignKeyConstraint(['uid'], ['users.id'], name='fk_printtemplates_uid_users', use_alter=True),
    sa.PrimaryKeyConstraint('id'),
    sa.UniqueConstraint('uuid')
    )
    op.create_foreign_key('fk_printtemplates_uid_users', 'printtemplates', 'users', ['uid'], ['id'])
    op.create_foreign_key('fk_printtemplates_gid_usergroups', 'printtemplates', 'usergroups', ['gid'], ['id'])
    op.create_table('nm_participant_printtemplates',
    sa.Column('iid', sa.Integer(), nullable=True),
    sa.Column('tid', sa.Integer(), nullable=True),
    sa.ForeignKeyConstraint(['iid'], [u'participants.id'], ),
    sa.ForeignKeyConstraint(['tid'], ['printtemplates.id'], )
    )
    op.alter_column('actions', 'uuid',
               existing_type=sa.CHAR(length=32),
               nullable=True)
    op.alter_column('beneficiarys', 'uuid',
               existing_type=sa.CHAR(length=32),
               nullable=True)
    op.alter_column('contacts', 'uuid',
               existing_type=sa.CHAR(length=32),
               nullable=True)
    op.alter_column('forms', 'uuid',
               existing_type=sa.CHAR(length=32),
               nullable=True)
    op.alter_column('journals', 'uuid',
               existing_type=sa.CHAR(length=32),
               nullable=True)
    op.alter_column('modules', 'uuid',
               existing_type=sa.CHAR(length=32),
               nullable=True)
    op.alter_column('operations', 'uuid',
               existing_type=sa.CHAR(length=32),
               nullable=True)
    op.alter_column('organisations', 'uuid',
               existing_type=sa.CHAR(length=32),
               nullable=True)
    op.alter_column('outputindicators', 'uuid',
               existing_type=sa.CHAR(length=32),
               nullable=True)
    op.alter_column('participants', 'uuid',
               existing_type=sa.CHAR(length=32),
               nullable=True)
    op.alter_column('participations', 'uuid',
               existing_type=sa.CHAR(length=32),
               nullable=True)
    op.alter_column('printtemplates', 'uuid',
               existing_type=sa.CHAR(length=32),
               nullable=True)
    op.alter_column('profiles', 'uuid',
               existing_type=sa.CHAR(length=32),
               nullable=True)
    op.alter_column('projects', 'uuid',
               existing_type=sa.CHAR(length=32),
               nullable=True)
    op.alter_column('resultindicators', 'uuid',
               existing_type=sa.CHAR(length=32),
               nullable=True)
    op.alter_column('roles', 'uuid',
               existing_type=sa.CHAR(length=32),
               nullable=True)
    op.alter_column('usergroups', 'uuid',
               existing_type=sa.CHAR(length=32),
               nullable=True)
    op.alter_column('users', 'uuid',
               existing_type=sa.CHAR(length=32),
               nullable=True)
    ### end Alembic commands ###
    iter_statements(INSERTS)


def downgrade():
    ### commands auto generated by Alembic - please adjust! ###
    op.drop_table('nm_participant_printtemplates')
    op.drop_table('printtemplates')
    op.alter_column('users', 'uuid',
               existing_type=sa.CHAR(length=32),
               nullable=False)
    op.alter_column('usergroups', 'uuid',
               existing_type=sa.CHAR(length=32),
               nullable=False)
    op.alter_column('roles', 'uuid',
               existing_type=sa.CHAR(length=32),
               nullable=False)
    op.alter_column('resultindicators', 'uuid',
               existing_type=sa.CHAR(length=32),
               nullable=False)
    op.alter_column('projects', 'uuid',
               existing_type=sa.CHAR(length=32),
               nullable=False)
    op.alter_column('profiles', 'uuid',
               existing_type=sa.CHAR(length=32),
               nullable=False)
    op.alter_column('printtemplates', 'uuid',
               existing_type=sa.CHAR(length=32),
               nullable=False)
    op.alter_column('participations', 'uuid',
               existing_type=sa.CHAR(length=32),
               nullable=False)
    op.alter_column('participants', 'uuid',
               existing_type=sa.CHAR(length=32),
               nullable=False)
    op.alter_column('outputindicators', 'uuid',
               existing_type=sa.CHAR(length=32),
               nullable=False)
    op.alter_column('organisations', 'uuid',
               existing_type=sa.CHAR(length=32),
               nullable=False)
    op.alter_column('operations', 'uuid',
               existing_type=sa.CHAR(length=32),
               nullable=False)
    op.alter_column('modules', 'uuid',
               existing_type=sa.CHAR(length=32),
               nullable=False)
    op.alter_column('journals', 'uuid',
               existing_type=sa.CHAR(length=32),
               nullable=False)
    op.alter_column('forms', 'uuid',
               existing_type=sa.CHAR(length=32),
               nullable=False)
    op.alter_column('contacts', 'uuid',
               existing_type=sa.CHAR(length=32),
               nullable=False)
    op.alter_column('beneficiarys', 'uuid',
               existing_type=sa.CHAR(length=32),
               nullable=False)
    op.alter_column('actions', 'uuid',
               existing_type=sa.CHAR(length=32),
               nullable=False)
    ### end Alembic commands ###
    iter_statements(DELETES)
