"""Changed datatype of completeness field to string in participations

Revision ID: 23d6f9678155
Revises: 23f5055f278
Create Date: 2016-02-29 13:06:08.687560

"""

# revision identifiers, used by Alembic.
revision = '23d6f9678155'
down_revision = '23f5055f278'

from alembic import op
import sqlalchemy as sa


INSERTS = """
UPDATE participations set completeness = '';
"""
DELETES = """"""


def iter_statements(stmts):
    for st in [x for x in stmts.split('\n') if x]:
        op.execute(st)


def upgrade():
    ### commands auto generated by Alembic - please adjust! ###
    op.alter_column('participations', 'completeness',
               existing_type=sa.INTEGER(),
               type_=sa.String(),
               existing_nullable=True)
    ### end Alembic commands ###
    iter_statements(INSERTS)


def downgrade():
    ### commands auto generated by Alembic - please adjust! ###
    op.alter_column('participations', 'completeness',
               existing_type=sa.String(),
               type_=sa.INTEGER(),
               existing_nullable=True)
    ### end Alembic commands ###
    iter_statements(DELETES)
