#!/usr/bin/env python
# encoding: utf-8

"""Added new printtemplate to document if the participant is eligible.

Revision ID: 23f5055f278
Revises: 35e41bcbb649
Create Date: 2016-02-04 13:50:28.146394

"""

# revision identifiers, used by Alembic.
revision = '23f5055f278'
down_revision = '35e41bcbb649'

from alembic import op
import sqlalchemy as sa


INSERTS = u"""
INSERT INTO printtemplates (id, mid, name, mime, data, uid, gid, uuid) VALUES (3, 1000, 'Dokumentation der Förderfähigkeit', 'application/vnd.oasis.opendocument.text', '@waskiq:waskiq/static/foerderfaehigkeit.odt', NULL, 1, '1d395d8c7caa44d3baaed66d9c610efa');
"""
DELETES = u"""
DELETE FROM printtemplates where id = 3;
"""


def iter_statements(stmts):
    for st in [x for x in stmts.split('\n') if x]:
        op.execute(st)


def upgrade():
    ### commands auto generated by Alembic - please adjust! ###
    pass
    ### end Alembic commands ###
    iter_statements(INSERTS)


def downgrade():
    ### commands auto generated by Alembic - please adjust! ###
    pass
    ### end Alembic commands ###
    iter_statements(DELETES)
