"""added foreign key to participation

Revision ID: 282c810dbacc
Revises: 18acc16644f1
Create Date: 2015-09-14 15:15:04.674417

"""

# revision identifiers, used by Alembic.
revision = '282c810dbacc'
down_revision = '18acc16644f1'

from alembic import op
import sqlalchemy as sa


INSERTS = """"""
DELETES = """"""


def iter_statements(stmts):
    for st in [x for x in stmts.split('\n') if x]:
        op.execute(st)


def upgrade():
    ### commands auto generated by Alembic - please adjust! ###
    op.add_column('angebots', sa.Column('participation_id', sa.Integer(), nullable=True))
    op.create_foreign_key(None, 'angebots', 'participations', ['participation_id'], ['id'])
    ### end Alembic commands ###
    iter_statements(INSERTS)


def downgrade():
    ### commands auto generated by Alembic - please adjust! ###
    op.drop_constraint(None, 'angebots', type_='foreignkey')
    op.drop_column('angebots', 'participation_id')
    ### end Alembic commands ###
    iter_statements(DELETES)
