#!/usr/bin/env python
# encoding: utf-8

"""Make Baustein CM printable

Revision ID: 29e454fce18
Revises: 36228d63f633
Create Date: 2015-10-08 23:22:30.423340

"""

# revision identifiers, used by Alembic.
revision = '29e454fce18'
down_revision = '36228d63f633'

from alembic import op
import sqlalchemy as sa


INSERTS = u"""
INSERT INTO printtemplates (id, mid, name, data, description, size, mime, uid, gid) VALUES (2, 2001, 'Förderplan', '@waskiq:waskiq/static/foerderplan.odt', NULL, NULL, 'application/vnd.oasis.opendocument.text', NULL, 1);
INSERT INTO actions (id, mid, name, url, icon, description, bundle, display, permission) VALUES (214, 2001, 'Print', 'print/{id}', 'glyphicon glyphicon-print', '', false, 'primary', '');
INSERT INTO nm_action_roles (aid, rid) VALUES (214, 3);
"""
DELETES = """
DELETE FROM printtemplates where id=2;
DELETE FROM nm_action_roles where aid=214 and rid=3;
DELETE FROM actions where id=214;
"""


def iter_statements(stmts):
    for st in [x for x in stmts.split('\n') if x]:
        op.execute(st)


def upgrade():
    ### commands auto generated by Alembic - please adjust! ###
    op.create_table('nm_bausteincm_printtemplates',
    sa.Column('iid', sa.Integer(), nullable=True),
    sa.Column('tid', sa.Integer(), nullable=True),
    sa.ForeignKeyConstraint(['iid'], [u'baustein_cms.id'], ),
    sa.ForeignKeyConstraint(['tid'], ['printtemplates.id'], )
    )
    ### end Alembic commands ###
    iter_statements(INSERTS)


def downgrade():
    ### commands auto generated by Alembic - please adjust! ###
    op.drop_table('nm_bausteincm_printtemplates')
    ### end Alembic commands ###
    iter_statements(DELETES)
