"""Add participation_state_id for statemachine

Revision ID: 2e5990e4fce5
Revises: ac61c85214ba
Create Date: 2017-01-09 11:56:55.478759

"""

# revision identifiers, used by Alembic.
revision = '2e5990e4fce5'
down_revision = 'ac61c85214ba'

from alembic import op
import sqlalchemy as sa


INSERTS = """UPDATE participations SET participation_state_id = 1;"""
DELETES = """"""


def iter_statements(stmts):
    for st in [x for x in stmts.split('\n') if x]:
        op.execute(st)


def upgrade():
    ### commands auto generated by Alembic - please adjust! ###
    op.add_column('participations', sa.Column('participation_state_id', sa.Integer(), nullable=True))
    ### end Alembic commands ###
    iter_statements(INSERTS)


def downgrade():
    ### commands auto generated by Alembic - please adjust! ###
    op.drop_column('participations', 'participation_state_id')
    ### end Alembic commands ###
    iter_statements(DELETES)
