"""Added participant_ids table

Revision ID: 2fc8c04f40c0
Revises: 277c44652392
Create Date: 2017-09-28 15:20:14.710556

"""

# revision identifiers, used by Alembic.
revision = '2fc8c04f40c0'
down_revision = '277c44652392'

from alembic import op
import sqlalchemy as sa


INSERTS = """
insert into participant_ids (personal_id, uuid, is_no_longer_reportable, deleted) SELECT personal_id, uuid, 'f', 'f' from participants;
"""
DELETES = """"""


def iter_statements(stmts):
    for st in [x for x in stmts.split('\n') if x]:
        op.execute(st)


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table('participant_ids',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('personal_id', sa.String(), nullable=False),
    sa.Column('uuid', sa.String(), nullable=False),
    sa.Column('is_no_longer_reportable', sa.Boolean(), nullable=False),
    sa.Column('deleted', sa.Boolean(), nullable=False),
    sa.PrimaryKeyConstraint('id'),
    sa.UniqueConstraint('personal_id'),
    sa.UniqueConstraint('uuid')
    )
    # ### end Alembic commands ###
    iter_statements(INSERTS)


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    # ### end Alembic commands ###
    op.drop_table('participant_ids')
    iter_statements(DELETES)
