#!/usr/bin/env python
# encoding: utf-8

"""Issue585: Added missing fields to Unterstützungsbedarf

Revision ID: 49fbfb772863
Revises: ef0de9d2555
Create Date: 2015-09-29 15:30:40.230712

"""

# revision identifiers, used by Alembic.
revision = '49fbfb772863'
down_revision = 'ef0de9d2555'

from alembic import op
import sqlalchemy as sa


INSERTS = """"""
DELETES = """"""


def iter_statements(stmts):
    for st in [x for x in stmts.split('\n') if x]:
        op.execute(st)


def upgrade():
    ### commands auto generated by Alembic - please adjust! ###
    op.add_column('baustein_cms', sa.Column('datum', sa.Date(), nullable=True))
    op.add_column('baustein_cms', sa.Column('doku', sa.String(), nullable=False, server_default=''))
    ### end Alembic commands ###
    iter_statements(INSERTS)


def downgrade():
    ### commands auto generated by Alembic - please adjust! ###
    op.drop_column('baustein_cms', 'doku')
    op.drop_column('baustein_cms', 'datum')
    ### end Alembic commands ###
    iter_statements(DELETES)
