"""Added angebot modul

Revision ID: 5076141532ec
Revises: 5b81ede9ba2
Create Date: 2015-09-10 16:21:35.158995

"""

# revision identifiers, used by Alembic.
revision = '5076141532ec'
down_revision = '5b81ede9ba2'

from alembic import op
import sqlalchemy as sa


INSERTS = """
INSERT INTO modules (id, name, description, label, label_plural, clazzpath, display, str_repr, uuid) VALUES (2006, 'angebots', '', 'Angebot', 'Angebote', 'waskiq.model.angebot.Angebot', 'hidden', '%s|id', 'a9ba1ffd25f44954bc0245605a4617cf');
INSERT INTO actions (id, mid, uuid, name, url, icon, bundle, description, display, permission) VALUES (194, 2006, '7a886cd0af1e4d4dbecc789905ed6694', 'List', 'list', 'icon-list-alt', 'False', '', '', '');
INSERT INTO actions (id, mid, uuid, name, url, icon, bundle, description, display, permission) VALUES (195, 2006, '6f57a2a87b3849c98c08a64b7ba109b1', 'Create', 'create', 'icon-plus', 'False', '', '', '');
INSERT INTO actions (id, mid, uuid, name, url, icon, bundle, description, display, permission) VALUES (196, 2006, '6ceaa615bf4c4d22a8c0696229d3372a', 'Read', 'read/{id}', 'icon-eye-open', 'False', '', '', '');
INSERT INTO actions (id, mid, uuid, name, url, icon, bundle, description, display, permission) VALUES (197, 2006, '688683b7aba5454d9402ab5dd1447c39', 'Update', 'update/{id}', 'icon-edit', 'False', '', '', '');
INSERT INTO actions (id, mid, uuid, name, url, icon, bundle, description, display, permission) VALUES (198, 2006, 'feac4a72df284023b86401dedb2f38cf', 'Delete', 'delete/{id}', 'icon-eye-delete', 'False', '', '', '');
INSERT INTO actions (id, mid, uuid, name, url, icon, bundle, description, display, permission) VALUES (199, 2006, '00727972a7a94251a119901240af3716', 'Import', 'import', 'icon-import', 'False', '', '', '');
INSERT INTO actions (id, mid, uuid, name, url, icon, bundle, description, display, permission) VALUES (200, 2006, 'b5ae8e7772254280b254d94c1f7bb866', 'Export', 'export/{id}', 'icon-export', 'True', '', '', '');
INSERT INTO nm_action_roles (aid, rid) VALUES(194, 3);
INSERT INTO nm_action_roles (aid, rid) VALUES(195, 3);
INSERT INTO nm_action_roles (aid, rid) VALUES(196, 3);
INSERT INTO nm_action_roles (aid, rid) VALUES(197, 3);
INSERT INTO nm_action_roles (aid, rid) VALUES(198, 3);
"""
DELETES = """"""


def iter_statements(stmts):
    for st in [x for x in stmts.split('\n') if x]:
        op.execute(st)


def upgrade():
    ### commands auto generated by Alembic - please adjust! ###
    op.create_table('angebots',
    sa.Column('uuid', sa.CHAR(length=32), nullable=True),
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('uid', sa.Integer(), nullable=True),
    sa.Column('gid', sa.Integer(), nullable=True),
    sa.ForeignKeyConstraint(['gid'], ['usergroups.id'], name='fk_angebots_gid_usergroups', use_alter=True),
    sa.ForeignKeyConstraint(['uid'], ['users.id'], name='fk_angebots_uid_users', use_alter=True),
    sa.PrimaryKeyConstraint('id'),
    sa.UniqueConstraint('uuid')
    )
    ### end Alembic commands ###
    iter_statements(INSERTS)


def downgrade():
    ### commands auto generated by Alembic - please adjust! ###
    op.drop_table('angebots')
    ### end Alembic commands ###
    iter_statements(DELETES)
