"""Add missing action entries for jsa baustein

Revision ID: 583d74e430e
Revises: 116a9042da2c
Create Date: 2015-11-26 07:47:00.498352

"""

# revision identifiers, used by Alembic.
revision = '583d74e430e'
down_revision = '116a9042da2c'

from alembic import op
import sqlalchemy as sa


INSERTS = """
INSERT INTO actions (uuid, id, mid, name, url, icon, description, bundle, display, permission) VALUES ('8b5a6db4feb940f8bbea53e0ea6e8857', 219, 2005, 'List', 'list', 'icon-list-alt', '', false, 'primary', '');
INSERT INTO actions (uuid, id, mid, name, url, icon, description, bundle, display, permission) VALUES ('d3cbded4fa9c48cfb765a3b051b6efae', 220, 2005, 'Create', 'create', 'icon-plus', '', false, 'primary', '');
INSERT INTO actions (uuid, id, mid, name, url, icon, description, bundle, display, permission) VALUES ('032bb395411c4b8194d6bb286a35a92c', 221, 2005, 'Read', 'read/{id}', 'icon-eye-open', '', false, 'primary', '');
INSERT INTO actions (uuid, id, mid, name, url, icon, description, bundle, display, permission) VALUES ('1252da27b8ca40fbb5c2ff353a97ecae', 222, 2005, 'Update', 'update/{id}', 'icon-edit', '', false, 'primary', '');
INSERT INTO actions (uuid, id, mid, name, url, icon, description, bundle, display, permission) VALUES ('b19c2fe5d8a94fa0b84a44523bab52ca', 223, 2005, 'Delete', 'delete/{id}', 'icon-eye-delete', '', false, 'primary', '');
INSERT INTO actions (uuid, id, mid, name, url, icon, description, bundle, display, permission) VALUES ('11890516720245cc9f0f3afbe356b681', 224, 2005, 'Import', 'import', 'icon-import', '', false, 'primary', '');
INSERT INTO actions (uuid, id, mid, name, url, icon, description, bundle, display, permission) VALUES ('468928ea255649cf84679330cafdf8fd', 225, 2005, 'Export', 'export/{id}', 'icon-export', '', true, 'primary', '');
INSERT INTO nm_action_roles (aid, rid) VALUES (221, 3)
INSERT INTO nm_action_roles (aid, rid) VALUES (222, 3)

"""
DELETES = """
DELETE FROM ACTIONS where mid = 2015;
DELETE FROM nm_action_roles where aid = 221
DELETE FROM nm_action_roles where aid = 222
"""


def iter_statements(stmts):
    for st in [x for x in stmts.split('\n') if x]:
        op.execute(st)


def upgrade():
    ### commands auto generated by Alembic - please adjust! ###
    pass
    ### end Alembic commands ###
    iter_statements(INSERTS)


def downgrade():
    ### commands auto generated by Alembic - please adjust! ###
    pass
    ### end Alembic commands ###
    iter_statements(DELETES)
