"""Fix sequence in baustein tables

Revision ID: 5a143059f17d
Revises: 2feb60932910
Create Date: 2016-02-16 13:49:15.117294

"""

# revision identifiers, used by Alembic.
revision = '5a143059f17d'
down_revision = '2feb60932910'

from alembic import op
import sqlalchemy as sa

INSERTS = """
alter sequence baustein_clearings_id_seq owned by baustein_clearings.id;
alter sequence baustein_cms_id_seq owned by baustein_cms.id;
alter sequence baustein_jsas_id_seq owned by baustein_jsas.id;
alter sequence baustein_mps_id_seq owned by baustein_mps.id;
SELECT SETVAL('baustein_clearings_id_seq', COALESCE(MAX(id)) ) FROM baustein_clearings;
SELECT SETVAL('baustein_cms_id_seq', COALESCE(MAX(id)) ) FROM baustein_cms;
SELECT SETVAL('baustein_jsas_id_seq', COALESCE(MAX(id)) ) FROM baustein_jsas;
SELECT SETVAL('baustein_mps_id_seq', COALESCE(MAX(id)) ) FROM baustein_mps;
"""
DELETES = """
"""


def iter_statements(stmts):
    for st in [x for x in stmts.split('\n') if x]:
        op.execute(st)


def upgrade():
    ### commands auto generated by Alembic - please adjust! ###
    pass
    ### end Alembic commands ###
    iter_statements(INSERTS)


def downgrade():
    ### commands auto generated by Alembic - please adjust! ###
    pass
    ### end Alembic commands ###
    iter_statements(DELETES)
