"""Migration to Ringo Version 1.4 removed UUID NULL-constraint

Revision ID: 5b81ede9ba2
Revises: 52503655354a
Create Date: 2015-09-10 16:17:41.333961

"""

# revision identifiers, used by Alembic.
revision = '5b81ede9ba2'
down_revision = '52503655354a'

from alembic import op
import sqlalchemy as sa


INSERTS = """"""
DELETES = """"""


def iter_statements(stmts):
    for st in [x for x in stmts.split('\n') if x]:
        op.execute(st)


def upgrade():
    ### commands auto generated by Alembic - please adjust! ###
    op.alter_column('actions', 'uuid',
               existing_type=sa.CHAR(length=32),
               nullable=True)
    op.alter_column('baustein_clearings', 'uuid',
               existing_type=sa.CHAR(length=32),
               nullable=True)
    op.alter_column('baustein_cms', 'uuid',
               existing_type=sa.CHAR(length=32),
               nullable=True)
    op.alter_column('baustein_jsas', 'uuid',
               existing_type=sa.CHAR(length=32),
               nullable=True)
    op.alter_column('baustein_mps', 'uuid',
               existing_type=sa.CHAR(length=32),
               nullable=True)
    op.alter_column('beneficiarys', 'uuid',
               existing_type=sa.CHAR(length=32),
               nullable=True)
    op.alter_column('contacts', 'uuid',
               existing_type=sa.CHAR(length=32),
               nullable=True)
    op.alter_column('forms', 'uuid',
               existing_type=sa.CHAR(length=32),
               nullable=True)
    op.alter_column('journals', 'uuid',
               existing_type=sa.CHAR(length=32),
               nullable=True)
    op.alter_column('modules', 'uuid',
               existing_type=sa.CHAR(length=32),
               nullable=True)
    op.alter_column('operations', 'uuid',
               existing_type=sa.CHAR(length=32),
               nullable=True)
    op.alter_column('organisations', 'uuid',
               existing_type=sa.CHAR(length=32),
               nullable=True)
    op.alter_column('outputindicators', 'uuid',
               existing_type=sa.CHAR(length=32),
               nullable=True)
    op.alter_column('participants', 'uuid',
               existing_type=sa.CHAR(length=32),
               nullable=True)
    op.alter_column('participations', 'uuid',
               existing_type=sa.CHAR(length=32),
               nullable=True)
    op.alter_column('profiles', 'uuid',
               existing_type=sa.CHAR(length=32),
               nullable=True)
    op.alter_column('projects', 'uuid',
               existing_type=sa.CHAR(length=32),
               nullable=True)
    op.alter_column('resultindicators', 'uuid',
               existing_type=sa.CHAR(length=32),
               nullable=True)
    op.alter_column('roles', 'uuid',
               existing_type=sa.CHAR(length=32),
               nullable=True)
    op.alter_column('usergroups', 'uuid',
               existing_type=sa.CHAR(length=32),
               nullable=True)
    op.alter_column('users', 'uuid',
               existing_type=sa.CHAR(length=32),
               nullable=True)
    ### end Alembic commands ###
    iter_statements(INSERTS)


def downgrade():
    ### commands auto generated by Alembic - please adjust! ###
    op.alter_column('users', 'uuid',
               existing_type=sa.CHAR(length=32),
               nullable=False)
    op.alter_column('usergroups', 'uuid',
               existing_type=sa.CHAR(length=32),
               nullable=False)
    op.alter_column('roles', 'uuid',
               existing_type=sa.CHAR(length=32),
               nullable=False)
    op.alter_column('resultindicators', 'uuid',
               existing_type=sa.CHAR(length=32),
               nullable=False)
    op.alter_column('projects', 'uuid',
               existing_type=sa.CHAR(length=32),
               nullable=False)
    op.alter_column('profiles', 'uuid',
               existing_type=sa.CHAR(length=32),
               nullable=False)
    op.alter_column('participations', 'uuid',
               existing_type=sa.CHAR(length=32),
               nullable=False)
    op.alter_column('participants', 'uuid',
               existing_type=sa.CHAR(length=32),
               nullable=False)
    op.alter_column('outputindicators', 'uuid',
               existing_type=sa.CHAR(length=32),
               nullable=False)
    op.alter_column('organisations', 'uuid',
               existing_type=sa.CHAR(length=32),
               nullable=False)
    op.alter_column('operations', 'uuid',
               existing_type=sa.CHAR(length=32),
               nullable=False)
    op.alter_column('modules', 'uuid',
               existing_type=sa.CHAR(length=32),
               nullable=False)
    op.alter_column('journals', 'uuid',
               existing_type=sa.CHAR(length=32),
               nullable=False)
    op.alter_column('forms', 'uuid',
               existing_type=sa.CHAR(length=32),
               nullable=False)
    op.alter_column('contacts', 'uuid',
               existing_type=sa.CHAR(length=32),
               nullable=False)
    op.alter_column('beneficiarys', 'uuid',
               existing_type=sa.CHAR(length=32),
               nullable=False)
    op.alter_column('baustein_mps', 'uuid',
               existing_type=sa.CHAR(length=32),
               nullable=False)
    op.alter_column('baustein_jsas', 'uuid',
               existing_type=sa.CHAR(length=32),
               nullable=False)
    op.alter_column('baustein_cms', 'uuid',
               existing_type=sa.CHAR(length=32),
               nullable=False)
    op.alter_column('baustein_clearings', 'uuid',
               existing_type=sa.CHAR(length=32),
               nullable=False)
    op.alter_column('actions', 'uuid',
               existing_type=sa.CHAR(length=32),
               nullable=False)
    ### end Alembic commands ###
    iter_statements(DELETES)
