"""Add reportable bool field to participants table

Revision ID: 6eb2ed4723d4
Revises: 2fc8c04f40c0
Create Date: 2017-10-09 12:12:05.022928

"""

# revision identifiers, used by Alembic.
revision = '6eb2ed4723d4'
down_revision = '2fc8c04f40c0'

from alembic import op
import sqlalchemy as sa


INSERTS = """"""
DELETES = """"""


def iter_statements(stmts):
    for st in [x for x in stmts.split('\n') if x]:
        op.execute(st)


def upgrade():
    ### commands auto generated by Alembic - please adjust! ###
    op.add_column('participants', sa.Column('reportable', sa.Boolean(), server_default=sa.text(u'FALSE'), nullable=False))
    ### end Alembic commands ###
    iter_statements(INSERTS)


def downgrade():
    ### commands auto generated by Alembic - please adjust! ###
    op.drop_column('participants', 'reportable')
    ### end Alembic commands ###
    iter_statements(DELETES)
