"""copy info from beneficiary to beneficiary_configuration

Revision ID: 734419b1ef6
Revises: 2966cc927545
Create Date: 2019-05-06 15:03:27.442934

"""

# revision identifiers, used by Alembic.
revision = '734419b1ef6'
down_revision = '2966cc927545'

from alembic import op
import sqlalchemy as sa


INSERTS = """"""
DELETES = """"""


def iter_statements(stmts):
    for st in [x for x in stmts.split('\n') if x]:
        op.execute(st)


def upgrade():
    op.execute("""
WITH t AS (
     SELECT
       COALESCE(substring(beneficiary_name FROM
                          '\m([A-Z]+\.[0-9]+\.[0-9]{2})\M'),
                'BAD.0000.00')
       AS id
     FROM beneficiarys
     ),
     ids AS (
       SELECT id AS beneficiary_id,
              string_to_array(id, '.') AS parts
       FROM t
     )
INSERT INTO beneficiary_configuration
  (personal_id_prefix,
   beneficiary_id,
   beneficiary_name,
   originating_beneficiary_id,
   fp,
   regioncategory_id,
   nuts1,
   oi_target_number,
   ri_target_percent)
  SELECT
     ids.parts[1] || '-'
       || CASE WHEN ids.parts[3]='19'
               THEN (ids.parts[2]::INT + 1000)::TEXT
               ELSE ids.parts[2] END,
     ids.beneficiary_id,
     b.beneficiary_name,
     ids.beneficiary_id,
     CASE WHEN ids.parts[3]='19' THEN 2 ELSE 1 END,
     b.regioncategory_id,
     b.nuts1,
     b.oi_target_number,
     b.ri_target_percent
   FROM beneficiarys b,
        ids;""")
   
    iter_statements(INSERTS)


def downgrade():
    iter_statements(DELETES)
