"""drop column hh_employed, hh_singleparent_depended, and null hh_dependentchildren

Revision ID: abb7f5ff7ec3
Revises: 1ace4cc77374
Create Date: 2018-12-11 11:47:11.204608

"""

# revision identifiers, used by Alembic.
revision = 'abb7f5ff7ec3'
down_revision = '1ace4cc77374'

from alembic import op
import sqlalchemy as sa


INSERTS = """UPDATE outputindicators SET hh_dependentchildren = NULL;"""
DELETES = """"""


def iter_statements(stmts):
    for st in [x for x in stmts.split('\n') if x]:
        op.execute(st)


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_column('outputindicators', 'hh_employed')
    op.drop_column('outputindicators', 'hh_singleparent_depended')
    # ### end Alembic commands ###
    iter_statements(INSERTS)


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.add_column('outputindicators', sa.Column('hh_singleparent_depended', sa.INTEGER(), autoincrement=False, nullable=True))
    op.add_column('outputindicators', sa.Column('hh_employed', sa.INTEGER(), autoincrement=False, nullable=True))
    # ### end Alembic commands ###
    iter_statements(DELETES)
