"""Add new fields to waskiq result indicators (waskiq/issue773)

Revision ID: d3d59bcd9f2
Revises: 11b54691b6dd
Create Date: 2015-12-02 14:21:58.979644

"""

# revision identifiers, used by Alembic.
revision = 'd3d59bcd9f2'
down_revision = '11b54691b6dd'

from alembic import op
import sqlalchemy as sa


INSERTS = """"""
DELETES = """"""


def iter_statements(stmts):
    for st in [x for x in stmts.split('\n') if x]:
        op.execute(st)


def upgrade():
    ### commands auto generated by Alembic - please adjust! ###
    op.add_column('resultindicators', sa.Column('problem_situation', sa.Integer(), nullable=True))
    op.add_column('resultindicators', sa.Column('problems_solved', sa.Integer(), nullable=True))
    op.add_column('resultindicators', sa.Column('regular_school_visits', sa.Integer(), nullable=True))
    op.add_column('resultindicators', sa.Column('work_school_situation', sa.Integer(), nullable=True))
    ### end Alembic commands ###
    iter_statements(INSERTS)


def downgrade():
    ### commands auto generated by Alembic - please adjust! ###
    op.drop_column('resultindicators', 'work_school_situation')
    op.drop_column('resultindicators', 'regular_school_visits')
    op.drop_column('resultindicators', 'problems_solved')
    op.drop_column('resultindicators', 'problem_situation')
    ### end Alembic commands ###
    iter_statements(DELETES)
