#!/usr/bin/env python
# encoding: utf-8
import os
import pkg_resources
from mako.lookup import TemplateLookup
from formbar.renderer import FieldRenderer
from ringo.lib.helpers import get_app_url


base_dir = pkg_resources.get_distribution("waskiq").location
template_dir = os.path.join(base_dir, 'waskiq', 'templates')
template_lookup = TemplateLookup(directories=[template_dir],
                                 default_filters=['h'])


class BausteinRenderer(FieldRenderer):

    def __init__(self, field, transfer):
        super(BausteinRenderer, self).__init__(field, transfer)
        self.template = template_lookup.get_template(
            "participations/bausteinlist.mako")

    def _get_template_values(self):
        values = super(BausteinRenderer, self)._get_template_values()
        values["request"] = self._field._form._request
        values["prefix_url"] = get_app_url(self._field._form._request)
        return values

    def _render_label(self):
        return ""
