"""Validator modul for checking complete and valid oi before the updated
participation."""

from ringo.views.request import get_item_from_request
from formbar.form import Validator, ValidationException
from waskiq.model.participation import status_oi_logic


def check_oi_validator(field, data, request):
    """Return False if no participation is found which is complete and valid
    and before or equal the participation item Else True"""
    _ = request.translate
    participation = get_item_from_request(request)
    status_code = status_oi_logic(participation)
    if status_code == "no_startdate":
        return True
    elif status_code == "current_complete_and_valid":
        return True
    elif status_code == "before_complete_and_valid_and_not_oi":
        raise ValidationException(_(
            'For this participation exists a complete'
            ' participation. You can add outputindicators.'))
    elif status_code == "not_before_complete_and_valid_and_not_oi":
        raise ValidationException(_(
            'There is no participation before this'
            ' participation with complete and valid oi. You can add '
            'outputindicators.'))
    elif status_code == ("not_before_participations_and_oi_and"
                         "_not_current_complete_and_valid"):
            return False
    elif status_code == "oi_and_not_current_complete_and_valid":
        raise ValidationException(_(
            'The outputindicators are not completed.'
            ' Please enter at least the core outputindicators.'))
    elif status_code == ("not_before_participations_and"
                         "_not_current_complete_and_valid"):
        raise ValidationException(_(
            'There is no participation before this'
            ' participation with complete and valid oi.'))
    else:
        return True
    return True


def check_oi_validator_factory(request, validator=check_oi_validator):
    _ = request.translate
    msg = _('There is no participation before this participation with'
            ' complete and valid oi.')
    return Validator(None, msg, validator, request, triggers="warning")
