import sqlalchemy as sa
from ringo.model import Base
from ringo.model.base import BaseItem
from ringo.model.mixins import (Owned)
from ringo.lib.helpers import get_item_modul


class Angebot(BaseItem, Owned, Base):
    __tablename__ = 'angebots'
    _modul_id = 2006
    id = sa.Column(sa.Integer, primary_key=True)
    ziel = sa.Column('ziel', sa.String, nullable=False, default='')
    ziel1 = sa.Column('ziel1', sa.String, nullable=False, default='')
    ziel2 = sa.Column('ziel2', sa.String, nullable=False, default='')
    ziel3 = sa.Column('ziel3', sa.String, nullable=False, default='')
    ziel4 = sa.Column('ziel4', sa.String, nullable=False, default='')
    ziel5 = sa.Column('ziel5', sa.String, nullable=False, default='')
    bewertungcm1 = sa.Column('bewertungcm1', sa.Integer)
    bewertungcm2 = sa.Column('bewertungcm2', sa.Integer)
    bewertungcm3 = sa.Column('bewertungcm3', sa.Integer)
    bewertungcm4 = sa.Column('bewertungcm4', sa.Integer)
    bewertungcm5 = sa.Column('bewertungcm5', sa.Integer)
    bewertungj1 = sa.Column('bewertungj1', sa.Integer)
    bewertungj2 = sa.Column('bewertungj2', sa.Integer)
    bewertungj3 = sa.Column('bewertungj3', sa.Integer)
    bewertungj4 = sa.Column('bewertungj4', sa.Integer)
    bewertungj5 = sa.Column('bewertungj5', sa.Integer)
    benennung = sa.Column('benennung', sa.String, nullable=False, default='')
    bereich = sa.Column('bereich', sa.Integer)
    sonstiges1 = sa.Column('sonstiges1', sa.String, nullable=False, default='')
    von = sa.Column('von', sa.Date)
    bis = sa.Column('bis', sa.Date)
    institution = sa.Column('institution', sa.String, nullable=False,
                            default='')
    erreicht1 = sa.Column('erreicht1', sa.String, nullable=False, default='')
    beendigung = sa.Column('beendigung', sa.Integer)
    baustein_cm_id = sa.Column('baustein_cms_id',
                               sa.ForeignKey("baustein_cms.id"),
                               nullable=True)

    baustein_cm = sa.orm.relation('BausteinCM')

    @classmethod
    def _get_permissions(cls, modul, item, request):

        # Default ACL. Direct access
        permissions = BaseItem._get_permissions(modul, item, request)

        # Custom ACL. Indirect access through the participation
        if item is None or cls == item or not item.baustein_cm:
            return permissions

        baustein_cm = item.baustein_cm
        modul = get_item_modul(request, baustein_cm)
        permissions.extend(baustein_cm._get_permissions(modul, baustein_cm,
                                                        request))
        return permissions
