import sqlalchemy as sa
from efa.model.project import Project


class WaskiqProject(Project):
    """
    Waskiq specific version of the project.
    """
    mikroprojekt = sa.Column('mikroprojekt', sa.String, nullable=False,
                             default='')
    """is the project a Mikroproject"""
    bausteine = sa.Column('bausteine', sa.String, nullable=False,
                          default='')
    """1 allow to use cm part if not Mikroprojekt"""
    """2 allow to use clearing beratung part if not Mikroprojekt"""
    """3 allow to use jsa part if not mikroprojekt"""

    @property
    def available_bausteine(self):
        """Returns a list of available Bausteins IDs for the project.
        Baustein IDs. See
        :class:`waskiq.model.participation.WaskiqParticipation` for more
        details on the available Bausteine. Note that the IDs in The
        `WaskiqParticipation` differ form the Baustein configuration.

        :returns: List of Baustein IDs

        """
        if self.mikroprojekt == "1":
            return ['1']
        else:
            bausteine = []
            if "1" in self.bausteine:
                bausteine.append("2")
            if "2" in self.bausteine:
                bausteine.append("3")
            if "3" in self.bausteine:
                bausteine.append("4")
            return bausteine
