# -*- coding: utf8 -*-
<%inherit file="/main.mako" />
<div class="page-header">
<h1>${_('About')} ${app_title}</h1>
</div>
<p>
WASKIQ ist eine Software zur Erfassung von Teilnehmendendaten im
Modellprogramm
<strong>JUGEND STÄRKEN im Quartier</strong>.</p>
<h2>ESF-Modellprogramm „JUGEND STÄRKEN im Quartier“</h2>
<p>Mit „JUGEND STÄRKEN im Quartier“ bündeln erstmalig zwei Bundesministerien Mittel des Europäischen Sozialfonds (ESF) in einem gemeinsamen Programm: Das Bundesministerium für Familie, Senioren, Frauen und Jugend (BMFSFJ) und das Bundesministerium für Umwelt, Naturschutz, Bau und Reaktorsicherheit (BMUB) unterstützen in der aktuellen ESF-Förderperiode Angebote für junge Menschen zur Überwindung von sozialen Benachteiligungen und individuellen Beeinträchtigungen am Übergang von der Schule in den Beruf. Der Schwerpunkt liegt in den Gebieten der „Sozialen Stadt“ und vergleichbaren Brennpunkten.</p>
<p>In der ersten Förderrunde 2015 bis 2018 setzen knapp 180 Modellkommunen Projekte zur Förderung junger Menschen durch öffentliche und freie Träger im Bereich Jugendsozialarbeit um. Der Bund beteiligt sich hieran mit rund 115 Millionen Euro aus dem ESF und 5 Millionen Euro Bundesmitteln. Dadurch wird die kommunale Jugendsozialarbeit vor Ort entscheidend gestärkt.</p>
<h2>Programm bietet jungen Menschen eine Perspektive</h2>
<p>Die Angebote kommen insbesondere jungen Menschen im Alter von 12 bis 26 Jahren zu Gute, denen eine Perspektive für die Zukunft fehlt und die durch andere Angebote besonders schwer zu erreichen sind. Damit sind zum Beispiel schulverweigernde Jugendliche oder Abbrecherinnen und Abbrecher von Arbeitsmarktmaßnahmen sowie junge neu Zugewanderte mit besonderem Integrationsbedarf gemeint. „JUGEND STÄRKEN im Quartier“ unterstützt sie bei der (Re-)Integration in Schule, Ausbildung, Arbeit und Gesellschaft. Ziel ist, die Teilnehmenden mit niedrigschwelligen Angeboten zu aktivieren und ihre Kompetenzen und Persönlichkeit zu stärken.</p>
<p>Das Modellprogramm kombiniert verschiedene sozialpädagogische Angebote, die passgenau entsprechend der Bedarfslage der Zielgruppen in der Kommune ausgestaltet werden können:
<ul>
  <li>Case Management (intensive sozialpädagogische Einzelfallarbeit)</li>
  <li>Aufsuchende Jugendsozialarbeit (z. B. Streetwork oder Mobile Beratung)</li>
  <li>Niedrigschwellige Beratung/Clearing (z. B. Anlaufstellen mit Lotsenfunktion, in denen Jugendliche eine Erstberatung erhalten)</li>
  <li>Mikroprojekte mit Mehrwert für das Quartier und dessen Bewohner/-innen (z. B. Anlegen eines Trimm-Dich-Pfades, Organisation eines Stadtteilfestes)</li>
</ul>
</p>
<p>Die öffentliche Jugendhilfe steuert und koordiniert die Angebote. Sie arbeitet dabei im Sinne einer „Förderung aus einer Hand“ eng mit freien Jugendhilfeträgern, Jobcentern, Agenturen für Arbeit, Schulen, Quartiersmanagement und weiteren Kooperationspartnern zusammen.</p>
<h2>Beitrag zu einer sozialen Stadtentwicklung</h2>
<p>„JUGEND STÄRKEN im Quartier“ führt die bisherigen Aktivitäten des BMFSFJ im Rahmen der Initiative „JUGEND STÄRKEN“ mit dem bisherigen Handlungsfeld „Übergang Schule-Beruf“ des ESF-Bundesprogramms „Bildung, Wirtschaft, Arbeit im Quartier – BIWAQ“ des BMUB zusammen. Finanzielle Ressourcen und fachliches Know-how werden in die Gebiete des Städtebauförderungsprogrammes „Soziale Stadt“ oder vergleichbare Brennpunkte gelenkt und dort gebündelt. Insbesondere die Mikroprojekte stärken nicht nur junge Menschen selbst, sondern auch die Quartiere, in denen sie leben - zum Beispiel indem junge Menschen einen Gemeinschaftspark anlegen oder ein interkulturelles Stadtteilfest organisieren. Damit leistet „JUGEND STÄRKEN im Quartier“ auch einen Beitrag zu einer integrierten, sozialen Stadtentwicklung.</p>
<p>Das Modellprogramm „JUGEND STÄRKEN im Quartier“ ist Teil der Initiative JUGEND STÄRKEN, zu der auch die Jugendmigrationsdienste und das Projekt „JUGEND STÄRKEN: 1000 Chancen“ gehören. Mit der Initiative setzt sich das BMFSFJ deutschlandweit für eine bessere soziale, schulische und berufliche Integration junger Menschen mit schlechten Startchancen auf lokaler Ebene ein.</p>
<p><a href="http://www.jugend-staerken.de">Link zur Website www.jugend-staerken.de</a></p>
