## -*- coding: utf-8 -*-
<script>
    var app = function(){

        var csrfToken = '${request.session.get_csrf_token()}';
        var createBaseURL= '${prefix_url}' +  '/baustein_cms/create?addrelation=baustein_cms';
        var params=':waskiq.model.participation.WaskiqParticipation:';

        function extractParticipationNumber(){
            var path=location.pathname.split("/");
            return path[path.length-1];
        }

        function bausteinCMURL(){
            return createBaseURL+encodeURIComponent(params+extractParticipationNumber())+"&"+encodeURIComponent("backurl="+location.pathname);
        }

        function createCM(targetURL){
            $.post(bausteinCMURL(), {"csrf_token": csrfToken}).success(function(){
                $('#status-messages').html('<div class="alert alert-success fade in out" style="display: block;">Baustein erfolgreich angelegt.</div>').fadeIn()
                document.location.reload(true);
            });
        }

        function closeModal(name){
            return function(e){
                $("#"+$(e.target).data("switchname")).prop("checked", true)
                $("#"+name).modal("hide");
            }
        }

        var closeDeactivate = closeModal("deactivationwarning");
        var closeLastBrick = closeModal("lastbrickwarning");

        function initCloseDialogs(){
            $("#cancel").on("click", closeDeactivate);
            $("#ok").on("click", closeLastBrick)
        }

        function initDeleteConfirmation(){
            $("#confirm").on("click", function(e){
                var targetURL = $(e.target).data("targeturl");
                var switchname = $(e.target).data("switchname");
                $("input[id^='baustein']").prop("disabled","disabled");
                confirmationMessage = { "confirmed":"1",
                    "csrf_token": csrfToken
                };
                $.post(targetURL, confirmationMessage).success(function(){
                    document.location.reload(true); 
                    $('#status-messages').html('<div class="alert alert-success fade in out" style="display: block;">Baustein erfolgreich gelöscht.</div>').fadeIn()
                })
                $("#deactivationwarning").modal("hide");
            });
        }

        function activateBaustein(target){
            $("input[id^='baustein']").prop("disabled","disabled");
            if (target.name === 'baustein_cms'){
                createCM($("#"+target.id)[0].getAttribute("data-action"));
            } else {
                document.location=$("#"+target.id)[0].getAttribute("data-action");
            }
        }

        function isLastBrick(){
            return !$("input.onoffswitch-checkbox:checked").length > 0;
        }

        function displayLastBrickWarning(target){
            $("#participant").text("${field._form._item}");
            $("#baustein").text($("#"+target.id)[0].getAttribute("data-name"))
            $("#lastbrickwarning").modal("show");
        }

        function isActive(target){
            return $(target).prop("checked");
        }

        function initKnobHandling(){
            $(".management").on("change", function(e){
                var target = e.target;
                var switchName = target.id
                if (target.nodeName ==='INPUT'){
                    $("#confirm").data("targeturl", $("#"+switchName)[0].getAttribute("data-action"));
                    $("#confirm").data("switchname", switchName);
                    $("#cancel").data("switchname", switchName);
                    $("#ok").data("switchname", switchName);
                    if(!isActive(target)){
                        if(isLastBrick()){
                            displayLastBrickWarning(target);
                        } else {
                            $("#deactivationwarning").modal("show");
                        }
                    } else {
                        activateBaustein(target);
                    }
                }
            });
        }

        function initialize(){
            initCloseDialogs();
            initDeleteConfirmation();
            initKnobHandling();
        }

        return {
            "init":initialize
        }
    }();

    $(function(){
        app.init();
    })

	// Necessary for info tooltip; taken from formbar.js
	$( document ).ready(function() {
		$('.formbar-tooltip').tooltip();
	})

</script>

<p>Die Teilnahme wird bzw. wurde mit den folgenden Bausteinen durchgeführt.
	<span data-toggle="tooltip"
		data-original-title="Bitte achten Sie darauf, immer alle Bausteine, an denen der/die Teilnehmende im Rahmen seiner/ihrer Teilnahme teilnimmt, anzugeben. Die Durchführung der angegebenen Bausteine kann, muss aber nicht, gleichzeitig erfolgen. Die Angabe der Bausteine soll programmintern ausgewertet werden."
		class="formbar-tooltip glyphicon glyphicon-info-sign">
	</span>
</p>

<div class="management">
    <%def name="render_buttons(baustein, route, name)">
      % if bool(baustein):
            <div class="onoffswitch">
                <input type="checkbox" name="${route}" class="onoffswitch-checkbox" id="${route}" data-name="${name}" data-action="${request.route_path(route+'-delete', id=baustein[0].id, _query={'backurl': request.path})}" checked>
      % else:
            <div class="onoffswitch">
                <input type="checkbox" name="${route}" class="onoffswitch-checkbox" id="${route}" data-action="${request.route_path(route+'-create', _query={'backurl': request.path, 'addrelation': ":".join([route, "waskiq.model.participation.WaskiqParticipation", str(field._form._item.id)])})}">
      % endif
                <label class="onoffswitch-label" for="${route}">
                    <span class="onoffswitch-inner"></span>
                    <span class="onoffswitch-switch"></span>
                </label>
            </div>
    </%def>

    <%def name="render_cm_baustein(participation, route)">
    <div class="row" style="margin-top: 1em">
       <div class="col-sm-2">
           ${render_buttons(participation.baustein_cms, route, "Case Management")}
       </div>

       <div class="col-sm-10">
           <h3>Case Management</h3>
           % if not participation.participant.oi:
             <div class="bg-warning" style="margin-top:10px;position:relative;left:-2.5em;">
           Für diese Teilnahme werden noch keine Outputindikatoren dokumentiert. Wenn Sie den Baustein Case Management anlegen, wird die <strong>Dokumentation der Outputindikatoren verpflichtend</strong> erforderlich.
           </div>
           % endif
      % if bool(field._form._item.baustein_cms):
          % if bool(field._form._item.baustein_cms[0]):
            <a style="position:relative;left:-35px;" href="${request.route_path(route+'-update', id=field._form._item.baustein_cms[0].id)}" class="btn btn-default">Case Management öffnen</a>
          % endif
      % endif
       </div>
    </div>
    </%def>

    <%def name="render_mp_baustein(participation, route)">
    <div class="row" style="margin-top: 1em">
       <div class="col-sm-2">
           ${render_buttons(participation.baustein_mps, route, "Mikroprojekt")}
       </div>
       <div class="col-sm-10">
           <h3>Mikroprojekt</h3>
       </div>
    </div>
    </%def>

    <%def name="render_jsa_baustein(participation, route)">
    <div class="row" style="margin-top: 1em">
       <div class="col-sm-2">
           ${render_buttons(participation.baustein_jsas, route, "Aufsuchende Jugendsozialarbeit")}
       </div>

       <div class="col-sm-10">
           <h3 style="margin-top: 0px;">Aufsuchende Jugendsozialarbeit</h3>
       </div>
    </div>
    </%def>

    <%def name="render_be_baustein(participation, route)">
    <div class="row" style="margin-top: 1em">
       <div class="col-sm-2">
           ${render_buttons(participation.baustein_clearings, route, "Beratung/Clearing")}
       </div>

       <div class="col-sm-10">
           <h3>Beratung/Clearing</h3>
       </div>
    </div>
    </%def>

    <%
        MP ='1' in field._form._item.waskiqproject.available_bausteine or '1' in field._form._item.baustein
        CMS = '2' in field._form._item.waskiqproject.available_bausteine  or '2' in field._form._item.baustein
        CLEARINGS = '3' in field._form._item.waskiqproject.available_bausteine  or '3' in field._form._item.baustein
        JSAS = '4' in field._form._item.waskiqproject.available_bausteine or '4' in field._form._item.baustein
    %>

    % if MP:
        ${render_mp_baustein(field._form._item, "baustein_mps")}
    % endif
    % if CMS:
        ${render_cm_baustein(field._form._item, "baustein_cms")}
    % endif
    % if CLEARINGS:
        ${render_be_baustein(field._form._item, "baustein_clearings")}
    % endif
        % if JSAS:
    ${render_jsa_baustein(field._form._item, "baustein_jsas")}
    % endif

</div>

<div class="modal fade" id="deactivationwarning" data-backdrop="static">
  <div class="modal-dialog">
    <div class="panel panel-warning">
      <div class="panel-heading"><strong>Baustein löschen?</strong></div>
      <div class="panel-body">
        <p>Sie sind im Begriff, einen Baustein zu löschen.  Bereits
        dokumentierte Daten des Bausteins werden dabei gelöscht.</p>
        <p>Von dieser Funktion sollten Sie nur Gebrauch machen, falls Sie den
        Baustein <em>irrtümlich</em> angelegt haben.  Grundsätzlich sollten
        sämtliche Bauteine, die durchgeführt wurden, auf „Ja“ gesetzt
        werden.</p>
        <p>Baustein wirklich löschen?</p>
      </div>
      <div class="panel-footer">
        <a class="btn btn-warning" target="_blank" id="confirm">Löschen</a>
        <a class="btn btn-default" target="_blank" id="cancel">${_('Cancel')}</a>
      </div>
    </div>
  </div>
</div>

<div class="modal fade" id="lastbrickwarning" data-backdrop="static">
  <div class="modal-dialog">
    <div class="panel panel-info">
      <div class="panel-heading"><strong>Baustein kann nicht gelöscht werden</strong></div>
      <div class="panel-body">
        <p>Der Baustein „<span id="baustein"></span>“ ist der einzige Baustein in der Teilnahme von <span id="participant"></span> und kann daher nicht gelöscht werden.</strong></p>
      </div>
      <div class="panel-footer">
        <a class="btn btn-default" target="_blank" id="ok">OK</a>
      </div>
    </div>
  </div>
</div>
