#! -*- coding: utf-8 -*-
import datetime
from pyramid.view import view_config
from ringo.lib.helpers import get_action_routename
from ringo.views.base import update
from ringo.views.helpers import get_item_from_request
from efa.model.project import Project
from pyramid.httpexceptions import HTTPFound


@view_config(route_name=get_action_routename(Project, 'update'),
             renderer='/default/update.mako',
             permission='update')
def update_(request):
    item = get_item_from_request(request)
    if item.start_date:
        condition = item.start_date <= datetime.date(2018, 12, 31)
    else:
        condition = False
    if condition:
        return HTTPFound(request.route_path(
            get_action_routename(Project, 'read'),
            id=request.matchdict['id']))

    return update(request)
