# -*- coding: utf8 -*-
from pyramid.view import view_config
from euhu.programs.waskiq import to_bmas
from euhu.esf import to_esf
from waskiq.model.participation import WaskiqParticipation as Participation

from ringo_bmasreport.reports.sachbericht import (
    filters, indicators, recipe, evaluate
)
from ringo_bmasreport.views import evaluate as evaluate_view
from euhu.validationresult import ValidationResult

program = "waskiq"
validate = lambda values: ValidationResult({}, {})


indicators['RI'] = [
    ('26', u'Der/Die Teilnehmende war innerhalb von vier Wochen nach Austritt '
           u'aus dem Projekt neu bei der Bundesagentur für Arbeit bzw. einem '
           u'Jobcenter arbeitssuchend gemeldet. (Frage 3)'),
    ('27', u'Der/Die Teilnehmende war innerhalb von vier Wochen nach Austritt '
           u'aus dem Projekt in einer schulischen/beruflichen Bildung. '
           u'(Frage 4)'),
    ('28', u'Der/Die Teilnehmende hat innerhalb von vier Wochen nach Austritt '
           u'aus der Maßnahme/dem Projekt nachweislich eine Qualifizierung '
           u'erhalten (Frage 5)'),
    ('29', u'Der/Die Teilnehmende hat innerhalb von vier Wochen nach Austritt '
           u'aus dem Projekt eine Arbeit aufgenommen oder sich selbstständig '
           u'gemacht. (Frage 6)')
]

indicators['RI'].append((
    'B3.2',
    u'ESF-Ergebnisindikator: Benachteiligte '
    u'U27-Jährige mit erhöhtem '
    u'sozialpädagogischem Unterstützungsbedarf am Übergang Schule-Beruf, '
    u'die nach '
    u'ihrer Teilnahme einen Arbeitsplatz haben oder eine '
    u'schulische/berufliche Bildung '
    u'absolvieren.'))


def derive_indicators(values):
    bmas = to_bmas(values)
    bmas.update(to_esf(bmas).esf)
    return bmas


@view_config(route_name='report_sachbericht',
             renderer='/sachbericht.mako')
def report(request):
    result = evaluate_view(request, "waskiq", Participation, evaluate, recipe,
                           validate, derive_indicators, indicators, filters)
    return result
