from pyramid.view import view_config
from ringo.lib.helpers import get_action_routename
from ringo.model.user import User, Usergroup
from efa.model.journal import Journal
from efa.model.outputindicator import Outputindicator
from efa.views.users import move_object_items, delete_with_callback as delete_

from waskiq.model.baustein_cm import BausteinCM
from waskiq.model.baustein_clearing import BausteinClearing
from waskiq.model.baustein_jsa import BausteinJSA
from waskiq.model.baustein_mp import BausteinMP
from waskiq.model.angebot import Angebot


def move_journal_and_oi_and_bricks_and_measure_item(request, user):
    usergroup = request.db.query(Usergroup).filter(
        Usergroup.name == user.login).one()
    for clz in (Journal, Outputindicator, BausteinCM, BausteinClearing,
                BausteinJSA, BausteinMP):
        user = move_object_items(request, user, usergroup, clz)

    for obj in request.db.query(Angebot).filter(Angebot.uid == user.id).all():
        obj.uid = obj.baustein_cm.uid

    for obj in request.db.query(Angebot).filter(Angebot.gid == usergroup.id).all():
        obj.gid = obj.baustein_cm.gid
    return user


@view_config(route_name=get_action_routename(User, 'delete'),
             renderer='/default/confirm.mako',
             permission='delete')
def delete(request):
    return delete_(request, move_journal_and_oi_and_bricks_and_measure_item)
